package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag707;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT707Creator;

/**
 * @author gaosheng
 * @date 2023/2/27
 */
public class Tag39ACreator extends AbsTagCreate {

     private MT707Creator mt707Creator;

    public Tag39ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt707Creator= (MT707Creator) absMTCreator;
    }

    public void creator()
    {
        String tag39AValue = mt707Creator.getPercentageCreditAmountTolerance();
        mt707Creator.set("39A", tag39AValue);
    }
}
